summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Ekin Akoglu <ekinakoglu@gmail.com>2018-07-06 23:08:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-07-07 06:54:18 +0700
commit4bdacfa2e63416b03ed9ad0849f2ab95f1b0a333 (patch)
tree680cbb64c697a4209fa4d7adebc1fb1a6e683105 /office
parenta754bbc792ecca91d7e951bd10e46ff715bec958 (diff)
downloadslackbuilds-4bdacfa2e63416b03ed9ad0849f2ab95f1b0a333.tar.gz
slackbuilds-4bdacfa2e63416b03ed9ad0849f2ab95f1b0a333.tar.xz
office/ganttproject: Updated for version 2.8.8.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/ganttproject/README2
-rw-r--r--office/ganttproject/ganttproject.SlackBuild118
-rw-r--r--office/ganttproject/ganttproject.info10
-rw-r--r--office/ganttproject/slack-desc2
4 files changed, 51 insertions, 81 deletions
diff --git a/office/ganttproject/README b/office/ganttproject/README
index 2f093b0ba7..db89f79693 100644
--- a/office/ganttproject/README
+++ b/office/ganttproject/README
@@ -7,3 +7,5 @@ operating systems.
It features a Gantt chart for project scheduling of tasks, and doing
resource management using resource load charts. It has a number of
reporting options (MS Project, HTML, PDF, spreadsheets).
+
+This script repackages the Debian package provided by GanttProject.
diff --git a/office/ganttproject/ganttproject.SlackBuild b/office/ganttproject/ganttproject.SlackBuild
index 3a9373e391..db03fab8d4 100644
--- a/office/ganttproject/ganttproject.SlackBuild
+++ b/office/ganttproject/ganttproject.SlackBuild
@@ -2,9 +2,7 @@
# Slackware build script for ganttproject
-# Copyright 2018 Ekin Akoglu, Erdemli, Mersin, Turkey | ekinakoglu@gmail.com
-# Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
-# Copyright 2013 Chris Abela, Malta
+# Copyright 2018 Ekin Akoglu, Erdemli/Mersin, Turkey
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -13,39 +11,51 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ganttproject
-VERSION=${VERSION:-2.8.7}
-ARCH=noarch
+VERSION=${VERSION:-2.8.8-r2308}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ PACKAGESUFFIX="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ PACKAGESUFFIX="amd64"
+else
+ echo "$ARCH is not supported." >&2
+ exit 1
+fi
+
set -e
rm -rf $PKG
-mkdir -p \
- $TMP \
- $PKG/{opt/ganttproject,usr/{bin,share/{applications,pixmaps,mime/packages}}} \
- $OUTPUT
-cd $TMP
-rm -rf $PRGNAM-$PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar x $CWD/${PRGNAM}_${VERSION}-1_all.deb
+tar xvzf data.tar.gz
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -53,63 +63,21 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# build.xml in version 2.8.6 is truncated and does not build with apache-ant
-# revert it to the build.xml in version 2.7.1
-patch -p0 < $CWD/build.xml.patch
-
-# Fix wrong jar names in plugins XML files
-patch -p0 < $CWD/biz.ganttproject.core.patch
-patch -p0 < $CWD/biz.ganttproject.impex.ical.patch
-patch -p0 < $CWD/biz.ganttproject.impex.msproject2.patch
-patch -p0 < $CWD/org.ganttproject.chart.pert.patch
-patch -p0 < $CWD/org.ganttproject.impex.htmlpdf.patch
-
-cd ganttproject-builder
-ant
-
-cd dist-bin
-cp -a eclipsito.jar ganttproject plugins $PKG/opt/ganttproject
-mv $PKG/opt/ganttproject/plugins $PKG/opt/ganttproject/plugins-$VERSION
-chmod 755 $PKG/opt/ganttproject/ganttproject
-
-# This is for CLI users:
-ln -sf /opt/ganttproject/ganttproject $PKG/usr/bin/
-
-# And this is for GUI users:
-cp \
- plugins/net.sourceforge.ganttproject/data/resources/logos/icon32.png \
- $PKG/usr/share/pixmaps/ganttproject.png
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-cat > $PKG/usr/share/applications/ganttproject.desktop << EOF
-[Desktop Entry]
-Encoding=UTF-8
-Name=GanttProject
-Comment="GanttProject is a tool for creating a project schedule by means of Gantt Chart."
-Exec=/opt/ganttproject/ganttproject
-Icon=ganttproject.png
-Terminal=false
-Type=Application
-StartupNotify=true
-Categories=Office;ProjectManagement;
-MimeType=application/x-ganttproject;
-EOF
+rm -f $PKG/control.tar.gz
+rm -r $PKG/data.tar.gz
+rm -f $PKG/debian-binary
-cat > $PKG/usr/share/mime/packages/ganttproject.xml << EOF
-<?xml version="1.0"?>
-<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
- <mime-type type="application/x-ganttproject">
- <comment>Ganttproject Document</comment>
- <glob pattern="*.gan" />
- </mime-type>
-</mime-info>
-EOF
+mkdir -p $PKG/usr/bin
+ln -sf $PKG/usr/share/ganttproject/ganttproject $PKG/usr/bin/ganttproject
-# Standard stuff:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cd ..
-cp -a \
- AUTHORS LICENSE README HouseBuildingSample.gan \
+mv \
+ $PKG/usr/share/doc/ganttproject/{AUTHORS,LICENSE,README} \
$PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/office/ganttproject/ganttproject.info b/office/ganttproject/ganttproject.info
index 4dbf8e502f..340fa29827 100644
--- a/office/ganttproject/ganttproject.info
+++ b/office/ganttproject/ganttproject.info
@@ -1,10 +1,10 @@
PRGNAM="ganttproject"
-VERSION="2.8.7"
-HOMEPAGE="http://www.ganttproject.biz"
-DOWNLOAD="https://github.com/bardsoftware/ganttproject/archive/ganttproject-2.8.7/ganttproject-ganttproject-2.8.7.tar.gz"
-MD5SUM="e19271d7820cf6432d733ff6d2a9342f"
+VERSION="2.8.8"
+HOMEPAGE="https://www.ganttproject.biz"
+DOWNLOAD="https://github.com/bardsoftware/ganttproject/releases/download/ganttproject-2.8.8/ganttproject_2.8.8-r2308-1_all.deb"
+MD5SUM="12b9fd79d6947a4e32c7923199539e13"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="apache-ant jdk"
+REQUIRES="jdk"
MAINTAINER="Ekin Akoglu"
EMAIL="ekinakoglu@gmail.com"
diff --git a/office/ganttproject/slack-desc b/office/ganttproject/slack-desc
index 6fa918bf46..730bdd844d 100644
--- a/office/ganttproject/slack-desc
+++ b/office/ganttproject/slack-desc
@@ -16,4 +16,4 @@ ganttproject: doing resource management using resource load charts. It has a
ganttproject: number of reporting options (MS Project, HTML, PDF,
ganttproject: spreadsheets).
ganttproject:
-ganttproject: Homepage: http://www.ganttproject.biz
+ganttproject: Homepage: https://www.ganttproject.biz